Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.agents
Class GarbageCollectionAgent

    java.lang.Object
      oracle.ifs.core.runtime.Server
          oracle.ifs.core.runtime.IfsServer
              oracle.ifs.core.runtime.ClusteredServer
                  oracle.ifs.core.agents.BaseAgent
                      oracle.ifs.core.agents.GarbageCollectionAgent

All Implemented Interfaces:
  ServerInterface, TimerContext

    public class GarbageCollectionAgent

extends BaseAgent

A GarbageCollectionAgent performs a variety of cleanup tasks.

(Unpublished)

Nested Class Summary
`static class` | `GarbageCollectionAgent.PublicObjectInfo` Represents info for a selected PublicObject.

Nested classes/interfaces inherited from class oracle.ifs.core.runtime.IfsServer
`IfsServer.ServerRequest`

Field Summary
`static java.lang.String` | `IFS_SERVER_AGENT_GARBAGECOLLECTIONAGENT_ReplacementCreator`
`static java.lang.String` | `IFS_SERVER_AGENT_GARBAGECOLLECTIONAGENT_ReplacementDeletor`
`static java.lang.String` | `IFS_SERVER_AGENT_GARBAGECOLLECTIONAGENT_ReplacementModifier`
`static java.lang.String` | `IFS_SERVER_AGENT_GARBAGECOLLECTIONAGENT_ReplacementOwner`
`static java.lang.String` | `IFS_SERVER_TIMER_ActivationPeriod`
`static java.lang.String` | `IFS_SERVER_TIMER_InitialDelay`
`static java.lang.String` | `IFS_SERVER_TIMER_InitialTimeOfDay`
`protected int` | `m_ErrorCountThisActivation` The number of errors occuring in the current Activation.

Fields inherited from class oracle.ifs.core.agents.BaseAgent
`ERROR_COUNT_CUMULATIVE, ERROR_COUNT_LAST_ACTIVATION`

Fields inherited from class oracle.ifs.core.runtime.ClusteredServer
`REQUESTTYPE_CHECK_REGISTRATION, REQUESTTYPE_FORCE_CHECK_REGISTRATION`

Fields inherited from class oracle.ifs.core.runtime.Server
`LEVEL_HIGH, LEVEL_LOW, LEVEL_MEDIUM, LEVEL_OFF`

Fields inherited from interface oracle.ifs.core.runtime.ServerInterface
`SERVERSTATUS_DISPOSED, SERVERSTATUS_RUNNING, SERVERSTATUS_STARTING, SERVERSTATUS_STOPPED, SERVERSTATUS_STOPPING, SERVERSTATUS_SUSPENDED, SERVERSTATUS_UNKNOWN`

Constructor Summary
`GarbageCollectionAgent()` Constructs the GarbageCollectionAgent.

Method Summary
`protected void` | `activate()` Perform garbage collection.
`void` | `initialize()` Initialize prior to running
`static void` | `main(java.lang.String[] args)` Static main for running GarbageCollectionAgent Agent standalone.
`protected GarbageCollectionAgent.PublicObjectInfo[]` | `selectIdBatch(LibrarySession session, java.lang.String attrName, long lastId, int batchSize)` Select a batch of PublicObject IDs that reference a non-existent user via one of the PublicObject attributes.

Methods inherited from class oracle.ifs.core.agents.BaseAgent
`addToProperty, handleResumeRequest, handleStopRequest, handleSuspendRequest, handleTimerExpired, incrementProperty, initOnRun, isAgent, postRun, publishProperty, run, standardPostRun, supportsSuspendResume`

Methods inherited from class oracle.ifs.core.runtime.ClusteredServer
`cancelRegistration, checkRegistration, deriveAgentIdentifier, deriveRunningServerIdentifier, getAgentIdentifier, getAgentIdentifierPrefix, getRegistrationPeriod, getRunningNodeIdentifier, getRunningNodeName, getRunningServerIdentifier, getRunningServersEnumeration, handleRequest, initializeRegistration, isPropertyReadonly, isRegistered, isServerRunning, isTokenNonCompeting, releaseTokenRegistration, requestForcedRegistrationCheck, requestRegistrationCheck`

Methods inherited from class oracle.ifs.core.runtime.IfsServer
`checkSession, connectSession, constructSession, convertTimerInterval, convertTimerInterval, convertTimerInterval, dispose, getLastTimerActivation, getNextTimerActivation, getService, getTimerActivationPeriod, getTimerClassName, getTimerConfiguration, handlePriorityChangeRequest, handlePropertyChangeRequest, handlePropertyChangeRequest, handleRequests, isTimerActive, postRequest, preRun, processEvent, processEvents, queueEvent, resetTimer, restart, resume, setPriority, setProperty, setProperty, start, startTimer, stop, stopRequested, stopTimer, suspend, timerExpired, waitServer`

Methods inherited from class oracle.ifs.core.runtime.Server
`acquireSession, constructLibrarySessionPool, createServerState, deregister, disconnectSession, getConfigurationOverridesTable, getConfigurationTable, getCredential, getDesiredStatus, getIfsHome, getInitialConfigurationTable, getLoggerForLegacyLogging, getName, getNode, getNodeName, getOracleHome, getParameterTable, getPriority, getProperties, getProperty, getServerConfigurationName, getServerState, getServerStateValue, getServerType, getServiceName, getSession, getStateTable, getStatus, getSystemUserCredential, handleServerConfigurationOverrideRequest, handleServerStateEvent, initialize, initialize, isDisposed, isInitialized, isLogged, log, log, log, postAuditEvent, releaseSession, releaseSession, setDesiredStatus, setDesiredStatus, setSessionTimeoutPrevented, setStateProperty, setStatus, startStandalone, startStandalone, supportsPriority, toStatusLabel, toStatusLabel, toStatusLabel, verifyNotDisposed, verifyNotDisposed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IFS_SERVER_TIMER_ActivationPeriod

    public static final java.lang.String IFS_SERVER_TIMER_ActivationPeriod

See Also:
  Constant Field Values

### IFS_SERVER_TIMER_InitialTimeOfDay

    public static final java.lang.String IFS_SERVER_TIMER_InitialTimeOfDay

See Also:
  Constant Field Values

### IFS_SERVER_TIMER_InitialDelay

    public static final java.lang.String IFS_SERVER_TIMER_InitialDelay

See Also:
  Constant Field Values

### IFS_SERVER_AGENT_GARBAGECOLLECTIONAGENT_ReplacementOwner

    public static final java.lang.String IFS_SERVER_AGENT_GARBAGECOLLECTIONAGENT_ReplacementOwner

See Also:
  Constant Field Values

### IFS_SERVER_AGENT_GARBAGECOLLECTIONAGENT_ReplacementDeletor

    public static final java.lang.String IFS_SERVER_AGENT_GARBAGECOLLECTIONAGENT_ReplacementDeletor

See Also:
  Constant Field Values

### IFS_SERVER_AGENT_GARBAGECOLLECTIONAGENT_ReplacementCreator

    public static final java.lang.String IFS_SERVER_AGENT_GARBAGECOLLECTIONAGENT_ReplacementCreator

See Also:
  Constant Field Values

### IFS_SERVER_AGENT_GARBAGECOLLECTIONAGENT_ReplacementModifier

    public static final java.lang.String IFS_SERVER_AGENT_GARBAGECOLLECTIONAGENT_ReplacementModifier

See Also:
  Constant Field Values

### m_ErrorCountThisActivation

    protected int m_ErrorCountThisActivation

  Description copied from class: `GarbageCollectionAgent`
  The number of errors occuring in the current Activation.

Constructor Detail

### GarbageCollectionAgent

    public GarbageCollectionAgent()
                           throws IfsException

  Constructs the GarbageCollectionAgent.

  Throws:
    `IfsException` - if the operation fails

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Description copied from class: `GarbageCollectionAgent`
  Static main for running GarbageCollectionAgent Agent standalone.

  Parameters:
    `args` - commandline args
  Throws:
    `java.lang.Exception` - if the operation fails

### initialize

    public void initialize()
                    throws java.lang.Exception

  Description copied from class: `GarbageCollectionAgent`
  Initialize prior to running

  Overrides:
    `initialize` in class `BaseAgent`
  Throws:
    `java.lang.Exception` - if the operation fails

### activate

    protected void activate()
                     throws IfsException

  Description copied from class: `GarbageCollectionAgent`
  Perform garbage collection.

  Overrides:
    `activate` in class `BaseAgent`
  Throws:
    `IfsException` - if the operation fails

### selectIdBatch

    protected GarbageCollectionAgent.PublicObjectInfo[] selectIdBatch(LibrarySession session,
                                                                      java.lang.String attrName,
                                                                      long lastId,
                                                                      int batchSize)
                                                               throws IfsException

  Description copied from class: `GarbageCollectionAgent`
  Select a batch of PublicObject IDs that reference a non-existent user via one of the PublicObject attributes.

  Parameters:
    `session` - session context
    `attrName` - Name of the DirectoryUser attribute being handled
    `lastId` - the last ID processed, included in the query to only process IDs greater than this value
    `batchSize` - the maximum number of rows to be selected
  Returns:
    the batch of PublicObjectInfo
  Throws:
    `java.sql.SQLException` - if the operation fails
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD